Bug 248098 - devel/apache-ant: update to 1.10.8
Summary: devel/apache-ant: update to 1.10.8
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kurt Jaeger
URL:
Keywords:
Depends on:
Blocks: 248248
  Show dependency treegraph
 
Reported: 2020-07-19 12:19 UTC by Mikael Urankar
Modified: 2020-09-28 11:25 UTC (History)
1 user (show)

See Also:
pi: merge-quarterly?


Attachments
v1 (1.38 KB, patch)
2020-07-19 12:19 UTC, Mikael Urankar
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Mikael Urankar freebsd_committer 2020-07-19 12:19:10 UTC
Created attachment 216571 [details]
v1

required for openjfx 14: https://bugs.openjdk.java.net/browse/JDK-8231316
Comment 1 commit-hook freebsd_committer 2020-08-15 12:41:43 UTC
A commit references this bug:

Author: pi
Date: Sat Aug 15 12:41:30 UTC 2020
New revision: 544937
URL: https://svnweb.freebsd.org/changeset/ports/544937

Log:
  devel/apache-ant: update 1.10.7 -> 1.10.8

  - update required for openjfx14
    https://bugs.openjdk.java.net/browse/JDK-8231316

  PR:		248098
  Submitted by:	mikael
  MFH:		2020Q3
  Relnotes:	https://mirror.checkdomain.de/apache//ant/README.html
  Security:	CVE-2020-1945

Changes:
  head/devel/apache-ant/Makefile
  head/devel/apache-ant/distinfo
Comment 2 Kurt Jaeger freebsd_committer 2020-08-15 12:41:59 UTC
Committed, thanks.

TODO: add vuxml entry
Comment 3 commit-hook freebsd_committer 2020-09-28 11:24:20 UTC
A commit references this bug:

Author: pi
Date: Mon Sep 28 11:23:29 UTC 2020
New revision: 550420
URL: https://svnweb.freebsd.org/changeset/ports/550420

Log:
  security/vuxml: Add CVE-2020-1945: Apache Ant insecure temporary file vulnerability

  PR:		248098
  Submitted by:	mikael

Changes:
  head/security/vuxml/vuln.xml
Comment 4 Kurt Jaeger freebsd_committer 2020-09-28 11:25:26 UTC
Finally 8-}